package test;

public class CoolingModelData {

	
	
	private double pressureDrop;
	private double outletRoomAirTempeature;
	private double inletRoomAirTempeature;
	private double ambientAirTempeature;
	private double airflowVolume;
	private double alpha;
	
	public CoolingModelData(double pressureDrop, double outletRoomAirTempeature, double inletRoomAirTempeature,
			double ambientAirTempeature, double airflowVolume, double alpha) {
		super();
		if(pressureDrop != -1){
			this.pressureDrop = pressureDrop;
		} else {
			this.pressureDrop = 65;
		}
		if(outletRoomAirTempeature != -1){
			this.outletRoomAirTempeature = outletRoomAirTempeature;
		} else {
			this.outletRoomAirTempeature = 33;
		}
		if(inletRoomAirTempeature != -1){
			this.inletRoomAirTempeature = inletRoomAirTempeature;
		} else {
			this.inletRoomAirTempeature = 18;
		}
		if(ambientAirTempeature != -1){
			this.ambientAirTempeature = ambientAirTempeature;
		} else {
			this.ambientAirTempeature = 26;
		}
		if(airflowVolume != -1){
			this.airflowVolume = airflowVolume;
		} else {
			this.airflowVolume = -1;
		}
		if(alpha != -1){
			this.alpha = alpha;
		} else {
			this.alpha = 0.2;
		}
	}

	public double getPressureDrop() {
		return pressureDrop;
	}

	public double getOutletRoomAirTempeature() {
		return outletRoomAirTempeature;
	}

	public double getInletRoomAirTempeature() {
		return inletRoomAirTempeature;
	}

	public double getAmbientAirTempeature() {
		return ambientAirTempeature;
	}

	public double getAirflowVolume() {
		return airflowVolume;
	}

	public double getAlpha() {
		return alpha;
	}
	
	
}
